Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbJoinColumn

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbJoinColumn

    public class JaxbJoinColumn

extends Object

Field Summary
`protected String` | `columnDefinition`
`protected Boolean` | `insertable`
`protected String` | `name`
`protected Boolean` | `nullable`
`protected String` | `referencedColumnName`
`protected String` | `table`
`protected Boolean` | `unique`
`protected Boolean` | `updatable`

Constructor Summary
`JaxbJoinColumn()`

Method Summary
`String` | `getColumnDefinition()` Gets the value of the columnDefinition property.
`String` | `getName()` Gets the value of the name property.
`String` | `getReferencedColumnName()` Gets the value of the referencedColumnName property.
`String` | `getTable()` Gets the value of the table property.
`Boolean` | `isInsertable()` Gets the value of the insertable property.
`Boolean` | `isNullable()` Gets the value of the nullable property.
`Boolean` | `isUnique()` Gets the value of the unique property.
`Boolean` | `isUpdatable()` Gets the value of the updatable property.
`void` | `setColumnDefinition(String value)` Sets the value of the columnDefinition property.
`void` | `setInsertable(Boolean value)` Sets the value of the insertable property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNullable(Boolean value)` Sets the value of the nullable property.
`void` | `setReferencedColumnName(String value)` Sets the value of the referencedColumnName property.
`void` | `setTable(String value)` Sets the value of the table property.
`void` | `setUnique(Boolean value)` Sets the value of the unique property.
`void` | `setUpdatable(Boolean value)` Sets the value of the updatable property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### referencedColumnName

    protected String referencedColumnName

### unique

    protected Boolean unique

### nullable

    protected Boolean nullable

### insertable

    protected Boolean insertable

### updatable

    protected Boolean updatable

### columnDefinition

    protected String columnDefinition

### table

    protected String table

Constructor Detail

### JaxbJoinColumn

    public JaxbJoinColumn()

Method Detail

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getReferencedColumnName

    public String getReferencedColumnName()

  Gets the value of the referencedColumnName property.

  Returns:
    possible object is `String`

### setReferencedColumnName

    public void setReferencedColumnName(String value)

  Sets the value of the referencedColumnName property.

  Parameters:
    `value` - allowed object is `String`

### isUnique

    public Boolean isUnique()

  Gets the value of the unique property.

  Returns:
    possible object is `Boolean`

### setUnique

    public void setUnique(Boolean value)

  Sets the value of the unique property.

  Parameters:
    `value` - allowed object is `Boolean`

### isNullable

    public Boolean isNullable()

  Gets the value of the nullable property.

  Returns:
    possible object is `Boolean`

### setNullable

    public void setNullable(Boolean value)

  Sets the value of the nullable property.

  Parameters:
    `value` - allowed object is `Boolean`

### isInsertable

    public Boolean isInsertable()

  Gets the value of the insertable property.

  Returns:
    possible object is `Boolean`

### setInsertable

    public void setInsertable(Boolean value)

  Sets the value of the insertable property.

  Parameters:
    `value` - allowed object is `Boolean`

### isUpdatable

    public Boolean isUpdatable()

  Gets the value of the updatable property.

  Returns:
    possible object is `Boolean`

### setUpdatable

    public void setUpdatable(Boolean value)

  Sets the value of the updatable property.

  Parameters:
    `value` - allowed object is `Boolean`

### getColumnDefinition

    public String getColumnDefinition()

  Gets the value of the columnDefinition property.

  Returns:
    possible object is `String`

### setColumnDefinition

    public void setColumnDefinition(String value)

  Sets the value of the columnDefinition property.

  Parameters:
    `value` - allowed object is `String`

### getTable

    public String getTable()

  Gets the value of the table property.

  Returns:
    possible object is `String`

### setTable

    public void setTable(String value)

  Sets the value of the table property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.